
%define _requires_exceptions libtiff.so.4
%define oname slimjet

Summary:	Slimjet Web Browser
Name:		flashpeak-slimjet
Version:	18.0.1.0
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.slimjet.com/en/
Source1:	flashpeak-slimjet
Source2:	slimjet.desktop
Source3:	slimjet.png
Source4:    libffmpeg.so
Provides: webclient
Requires: indexhtml
Requires: xdg-utils
Obsoletes: %{name} < %version
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
AutoReqProv: no
Obsoletes: slimjet
Provides: slimjet = %version-%release
#-----------------------------------------------------

%description
Slimjet is built on top of the Chromium open-source project on which Google Chrome is also based.
It enjoys the same speed and reliablity provided by the underlying blink engine as Google Chrome.
However, many additional features and options have been added in Slimjet to make it more powerful,
intelligent and customizable than Chrome. In addition to that, Slimjet DOES NOT send any usage
statistics back to Google's server like Google Chrome, which is a growing concern for many
Chrome users due to the ubiquitous presence and reach of the advertising empire.


%prep


%build
#nobuild

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


#nosrc
%ifarch x86_64
cd $RPM_BUILD_DIR && wget -nc --no-check-certificate -O - "http://www.slimjet.com/release/slimjet_amd64.tar.xz" | tar -xJf -
%endif
                                

mkdir -p %{buildroot}/opt/%{oname}
cp -R $RPM_BUILD_DIR/%{oname}/* %{buildroot}/opt/%{oname}/


# The SUID sandbox helper binary was found
# but is not configured correctly.
chmod 4755 %buildroot/opt/slimjet/slimjet-sandbox

#start script no kwallet
cp %buildroot/opt/slimjet/flashpeak-slimjet %buildroot/opt/slimjet/flashpeak-slimjet.org
install -m 0755 %SOURCE1 %buildroot/opt/slimjet/flashpeak-slimjet

#Menu
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/slimjet.desktop

#Icon
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE3 %buildroot/%{_datadir}/pixmaps/slimjet.png

#symlink
mkdir -p  %buildroot/%{_bindir}
ln -fs /opt/slimjet/flashpeak-slimjet %buildroot/%{_bindir}/flashpeak-slimjet

#move libffmpeg.so so slimjet can find it
rm -f %buildroot/opt/slimjet/libffmpeg.so
install -m 0755 %SOURCE4 %buildroot/opt/slimjet/libffmpeg.so

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
update-menus

%postun
update-menus


%files
%defattr(-,root,root)
%{_bindir}/flashpeak-slimjet
%dir /opt/%{oname}
/opt/%{oname}/*
%{_datadir}/pixmaps/slimjet.png
%{_datadir}/applications/slimjet.desktop


%changelog
* Sun Feb 25 2018 bb2 <bb2> - 18.0.1.0-1pclos2018
- new version

* Sun Feb 11 2018 bb2 <bb2> - 17.0.9.0-1pclos2018
- new version

* Sat Feb 03 2018 bb2 <bb2> - 17.0.8.0-1pclos2018
- new version

* Tue Jan 23 2018 bb2 <bb2> - 17.0.6.0-1pclos2018
- new version

* Sat Jan 06 2018 tex - 17.0.3.0-1pclos2018
- new version

* Mon Dec 11 2017 bb2 <bb2> - 16.0.9.0-1pclos2017
- new version

* Mon Nov 20 2017 bb2 <bb2> - 16.0.7.0-1pclos2017
- new version

* Sun Nov 12 2017 bb2 <bb2> - 16.0.5.0-1pclos2017
- new version

* Wed Oct 18 2017 bb2 <bb2> - 15.1.5.0-1pclos2017
- new version

* Wed Sep 27 2017 bb2 <bb2> - 15.1.4.0-1pclos2017
- new version

* Sun Sep 17 2017 bb2 <bb2> - 15.1.3.0-1pclos2017
- new version

* Mon Aug 28 2017 bb2 <bb2> - 15.1.1.0-1pclos2017
- new version

* Thu Aug 10 2017 bb2 <bb2> - 15.0.4.0-2pclos2017
- sync startup script with source
- fix location for ffmpeg.so

* Wed Aug 02 2017 bb2 <bb2> - 15.0.4.0-1pclos2017
- new version

* Fri Jul 21 2017 bb2 <bb2> - 15.0.3.0-1pclos2017
- new version

* Mon Jul 10 2017 bb2 <bb2> - 15.0.2.0-1pclos2017
- new version

* Mon Jul 10 2017 bb2 <bb2> - 15.0.1.0-1pclos2017
- new version

* Wed Jun 21 2017 bb2 <bb2> - 14.0.16.0-1pclos2017
- new version

* Fri Jun 16 2017 bb2 <bb2> - 14.0.15.0-1pclos2017
- new version

* Fri Jun 09 2017 bb2 <bb2> - 14.0.14.0-1pclos2017
- new version

* Fri Jun 02 2017 bb2 <bb2> - 14.0.11.0-1pclos2017
- new version

* Sat May 27 2017 bb2 <bb2> - 14.0.10.0-1pclos2017
- new version

* Sun May 14 2017 bb2 <bb2> - 14.0.7.0-1pclos2017
- new version

* Wed May 10 2017 bb2 <bb2> - 14.0.6.0-1pclos2017
- new version

* Wed May 02 2017 bb2 <bb2> - 14.0.5.0-1pclos2017
- new version

* Fri Apr 28 2017 bb2 <bb2> - 14.0.4.0-1pclos2017
- new version

* Tue Apr 11 2017 bb2 <bb2> - 13.0.9.0-1pclos2017
- new version

* Sat Mar 25 2017 bb2 <bb2> - 13.0.8.0-3pclos2017
- fix permission on libffmpeg.so

* Wed Mar 22 2017 bb2 <bb2> - 13.0.8.0-2pclos2017
- fix libffmpeg.so

* Wed Mar 22 2017 bb2 <bb2> - 13.0.8.0-1pclos2017
- new version

* Fri Mar 17 2017 bb2 <bb2> - 13.0.7.0-1pclos2017
- rename package
- no kwallet popup now
